Subject: Re: bug#61996: 30.0.50; Submitting elixir-ts-mode and heex-ts-mode
From: Eli Zaretskii <[email-masked]>
To: Wilhelm Kirschbaum <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 12 Mar 2023 17:46:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Wilhelm Kirschbaum <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 12 Mar 2023 17:14:03 +0200
> 
> Attached are the updated patches with added test cases and
> indentation rule enhancements.

Thanks, installed on master.

> I still see this warning on a non-treesitter build:
> 
> In elixir-ts--forward-sexp:
> elixir-ts-mode.el:490:8: Warning: reference to free variable
>     ‘heex-ts--sexp-regexp’

Doesn't happen here, so I think we are good.

> Random concern: how will backwards compatibility work when the
> grammars get updated?

Let's discuss this when such problems actually happen.  The answer
depends on what kind of incompatibilities are introduced by changes in
the grammars.

> It might just be better to add both modes in one patch if more
> changes are required perhaps?

I'm not sure I understand the question.

In general, we like each commit to be as self-contained and
independent of the others as possible.  Not sure if this answers your
question.

Thanks, I'm closing this bug.